Bug Hunting Session
Bug 120807 - Crash on Crl+Shift+F10 in F5 floating Navigator page number field
Summary: Crash on Crl+Shift+F10 in F5 floating Navigator page number field
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.4 target:6.0.8
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-23 00:46 UTC by Jim Raykowski
Modified: 2018-10-26 19:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["ImplHandleKey"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2018-10-23 00:46:43 UTC
Steps to reproduce:

1) Open Writer
2) F5 to show Navigator window
3) Click in page number field
4) Press Ctrl+Shift+F10 to dock the Navigator window

Result: Crash

Reproduced in: 

Version 5.1.6.2
Build ID: 1:5.1.6~rc2~0ubuntu1~xenial4
CPU threads: 1; OS: Linux 4.4; UI render: default; 
Locale: en-US (en_US.UTF-8); Calc: group

and

Version: 6.2.0.0.alpha0+
Build ID: 6626281b4a123cfb5e2c8f449b55f4acd46ee198
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 1 Telesto 2018-10-23 14:16:57 UTC
Repro
Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-20_23:33:00
Locale: nl-NL (nl_NL); Calc: CL
Comment 2 Xisco Faulí 2018-10-23 15:39:52 UTC
I can reproduce it back to

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

using a clear profile

rm -rf opt/user && opt/program/swriter
Comment 3 Commit Notification 2018-10-24 11:14:16 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db0051744330d82986e8f2629a027bc4a5dc1b4a

tdf#120807 check for valid ImplGetWindowImpl()

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-10-26 18:52:43 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=564aee79143b62889e5b201b97982db9386671da&h=libreoffice-6-1

tdf#120807 check for valid ImplGetWindowImpl()

It will be available in 6.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-10-26 19:39:42 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6720da69043a5ca206e9feac8396335e7b0af793&h=libreoffice-6-0

tdf#120807 check for valid ImplGetWindowImpl()

It will be available in 6.0.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.